export const navs = [
  {
    id: "1",
    parentId: "-1",
    name: "管理",
    url: "admin"
  },
  {
    id: "2",
    parentId: "1",
    name: "用户管理",
    url: "UserManage"
  },
  {
    id: "3",
    parentId: "1",
    name: "应用管理",
    url: "AppManage"
  }
];

export const ROLE_NAV = {
  DEV: [
    { url: "admin" },
    {
      url: "AppManage",
      privilege: [
        "app_version",
        "app_version_add",
        "app_version_edit",
        "app_version_archive",
        "app_version_master",
        "app_config",
        "app_config_baseline",
        "app_config_baseline_edit",
        "app_config_baseline_item_edit",
        "app_config_test",
        "app_config_prod"
      ]
    }
  ],
  TEST: [
    { url: "admin" },
    {
      url: "AppManage",
      privilege: [
        "app_version",
        "app_config",
        "app_config_baseline",
        "app_config_test",
        "app_config_test_item_add",
        "app_config_test_item_edit",
        "app_config_prod"
      ]
    }
  ],
  OPS: [
    { url: "admin" },
    {
      url: "AppManage",
      privilege: [
        "app_config",
        "app_config_baseline",
        "app_config_test",
        "app_config_test_item_add",
        "app_config_test_item_edit",
        "app_config_prod",
        "app_config_prod_item_add",
        "app_config_prod_item_edit"
      ]
    }
  ],
  ADMIN: [
    { url: "admin" },
    {
      url: "AppManage",
      privilege: [
        "app_add",
        "app_edit",
        "app_user",
        "app_user_bind",
        "app_module",
        "app_module_add",
        "app_module_edit",
        "app_module_enable",
        "app_version",
        "app_version_add",
        "app_version_edit",
        "app_version_archive",
        "app_version_master",
        "app_env",
        "app_env_add",
        "app_env_edit",
        "app_config",
        "app_config_baseline",
        "app_config_baseline_edit",
        "app_config_baseline_item_edit",
        "app_config_test",
        "app_config_test_item_add",
        "app_config_test_item_edit",
        "app_config_prod",
        "app_config_prod_item_add",
        "app_config_prod_item_edit"
      ]
    },
    { url: "UserManage", privilege: ["add", "edit", "resetPwd"] }
  ]
};
